Solution No 2 Rated 5 out of 5 stars

At the end of May 2010 www.in.gr updated it's url structure and if you try to use inTranslate it gives you a " page not found" message. In order to solve that you can work as AgnostosX suggested on the previous comment(props to him!).
Only this time into the chrome\content folder you will find the file intranslate.js file. Open it with a text editor( if while trying to open it gives you an error message extract the folder and select right click - open with - Notepad and check "Always use this program to ...". Then go back to the zip file and reopen. Change the first line of the .js file with this line
const TRANSLATE_URL = "http://dictionary.in.gr/?searchText=";
Don't forget to update the zip file and rename it's extension to .xpi.
Then open firefox, click file - open and install.
Works like a charm!

Solution Rated 5 out of 5 stars

Download the xpi file from here: http://www.brothersoft.com/intranslate-205645.html

Chance the file extension to .zip and open it with WinZip.

Open and edit the file install.rdf and find the line 3.0.*

Chance the number version to 4.0.* and save the file. WinZip will ask you to update the zip file. Do it.

Finally change again the file extension to .xpi.

Done!

Tested and working on FF 3.6

Rated 5 out of 5 stars

Great add-on. Very useful.
BUT, I really MISS it in the 3.6 version of FF.
I just hope that someone can take the pains to update the support for the newer (and upcoming) version of the Mozilla browser.
Thanks, in advance.
dRuNiK

Rated 5 out of 5 stars

Το πρόσθετο δουλεύει μια χαρά σε 3.5.6.

Rated 3 out of 5 stars

Με την εγκατάσταση της νέας έκδοσης Firefox 3.5.5 ΔΕΝ μεταφραζει από ΚΑΜΙΑ γλώσσα σε καμία γλώσσα. Ενώ λειτουργούσε μια χαρά με την προηγούμενη 3.5.4 (και μεταξύ αρκετών γλωσσών).
Μήπως δημιουργείται conflict με το gTnslate?
Πάντως απεγκατέστησα πρώτα το ένα και μετά το άλλο, αλλά και πάλι δεν δούλευε η μετάφραση. Ενώ πρώτα, δούλευαν ΚΑΙ μαζί.
Αν δεν διορθωθεί, ίσως με κάποιο update, θα ξαναβάλω την προηγούμενη έκδοση 3.5.4.
Ως αξιολόγηση θα έβαζα 5*****, ΟΤΑΝ λειτουργουσε, και ΜΗΔΕΝ τώρα που δεν λειτουργεί. Εξ'ού και ο μέσος όρος των 3***.

Not Compatible Rated 1 out of 5 stars

unfortunately, does not work with firefox 3

This review is for a previous version of the add-on (0.1.1b).